InvitationReplyLogDocumentation
class InvitationReplyLogDocumentation
This file provides property and method documentation for the model InvitationReplyLog.
This file is generated by the XELOS command line tool xf kickstart. It will be overwritten when new kickstart actions are performed.
Add @mixin \XELOS\Modules\Eventplanner\Docs\ClassGenerated\Model\InvitationReplyLogDocumentation to the model to get access to the properties.
Properties
| int | $id | ||
| int | $event_id | ||
| int | $participant_id | ||
| string | $from_email: | stored in MySQL as varchar |
|
| string | $from_name: | stored in MySQL as varchar |
|
| string | $reply: | stored in MySQL as varchar |
|
| int | $created_at: | stored in MySQL as timestamp |
Methods
Returns all models. Query params can be e.g. order_by
Returns the count
Delete rows specified by condition and returns the affected rows.
Returns the first model with the given id. Query params can be e.g. order_by
Returns all models by id and ids. Query params can be e.g. order_by
Details
at line 30
InvitationReplyLog[]
all(mixed $sql_params)
Returns all models. Query params can be e.g. order_by
at line 30
int
count_all(mixed $sql_params)
Returns the count
at line 30
int
delete_by_id(int $id, mixed $sql_params)
Delete rows specified by condition and returns the affected rows.
at line 30
InvitationReplyLog[]
find_all_by_id(int|int[] $id, mixed $sql_params)
Returns the first model with the given id. Query params can be e.g. order_by
at line 30
InvitationReplyLog
find_by_id(int|int[] $id, mixed $sql_params)
Returns all models by id and ids. Query params can be e.g. order_by